# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class VariationEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<VariationEntry>
                  com.google.gdata.data.analytics.VariationEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class VariationEntry

extends BaseEntry<VariationEntry>

Entry element for variation feed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`VariationEntry()` Default mutable constructor.
`VariationEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`GwoExperimentId` `getExperimentId()` Returns the experiment ID.
`GwoSectionId` `getSectionId()` Returns the section ID.
`GwoVariationId` `getVariationId()` Returns the variation ID.
`boolean` `hasExperimentId()` Returns whether it has the experiment ID.
`boolean` `hasSectionId()` Returns whether it has the section ID.
`boolean` `hasVariationId()` Returns whether it has the variation ID.
`void` `setExperimentId(GwoExperimentId experimentId)` Sets the experiment ID.
`void` `setSectionId(GwoSectionId sectionId)` Sets the section ID.
`void` `setVariationId(GwoVariationId variationId)` Sets the variation ID.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VariationEntry

    public VariationEntry()

  Default mutable constructor.

### VariationEntry

    public VariationEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getExperimentId

    public GwoExperimentId getExperimentId()

  Returns the experiment ID.

  Returns:
    experiment ID

### setExperimentId

    public void setExperimentId(GwoExperimentId experimentId)

  Sets the experiment ID.

  Parameters:
    `experimentId` - experiment ID or `null` to reset

### hasExperimentId

    public boolean hasExperimentId()

  Returns whether it has the experiment ID.

  Returns:
    whether it has the experiment ID

### getSectionId

    public GwoSectionId getSectionId()

  Returns the section ID.

  Returns:
    section ID

### setSectionId

    public void setSectionId(GwoSectionId sectionId)

  Sets the section ID.

  Parameters:
    `sectionId` - section ID or `null` to reset

### hasSectionId

    public boolean hasSectionId()

  Returns whether it has the section ID.

  Returns:
    whether it has the section ID

### getVariationId

    public GwoVariationId getVariationId()

  Returns the variation ID.

  Returns:
    variation ID

### setVariationId

    public void setVariationId(GwoVariationId variationId)

  Sets the variation ID.

  Parameters:
    `variationId` - variation ID or `null` to reset

### hasVariationId

    public boolean hasVariationId()

  Returns whether it has the variation ID.

  Returns:
    whether it has the variation ID

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`